Entwurf Polygon

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Polygon and the translation is 40% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Ellipse.svg Ellipse Vorherige:
Nächste: Rectangle Draft Rectangle.svg Arrow-right.svg

Draft Polygon.svg Draft Polygon

Menüeintrag
Draft → Polygon
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
P G
In der Version eingeführt
0.7
Siehe auch
Draft Circle/de


Beschreibung==

Das Polygonwerkzeug erstellt ein regelmäßiges Polygon, das in einen Umfang eingeschrieben ist, indem es zwei Punkte auswählt, den Mittelpunkt und den Radius. Es wird das Draft Linestyle/de verwendet, das auf dem Draft Tray/de eingestellt ist.

Draft polygon example.jpg

Regelmäßiges Polygon, das durch den Mittelpunkt und den Radius definiert ist


Anwendung

  1. Drücke die Taste Draft Polygon.png Draft Polygon oder drücke P dann G Tasten.
  2. Passe die gewünschte Anzahl von Seiten im Optionsdialog an.
  3. Klicke auf einen ersten Punkt in der 3D-Ansicht, oder gib eine coordinate und drücke die Draft AddPoint.svg add point Taste.
  4. Klicke auf einen anderen Punkt in der 3D-Ansicht oder gib einen Radiuswert ein, um den Polygonradius zu definieren.

Das Polygon kann durch Doppelklick auf das Element in der Baumansicht oder durch Drücken der Taste Draft Edit.svg Draft Edit/de bearbeitet werden. Dann kannst Du die Mittel- und Radiuspunkte auf eine neue Position verschieben.

Das Polygon wird in einem Kreis mit dem angegebenen Radius einbeschrieben; es kann nach der Erstellung durch Ändern seiner Zeichenmoduseigenschaften auf umschrieben umgeschaltet werden.

Die Anzahl der Seiten des Polygons kann auch nach der Erstellung durch Ändern der Eigenschaft Flächenanzahl geändert werden.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the Draft AddPoint.svg add point button when you have the desired values to insert the point.
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Polygon tool will restart after you finish it, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the polygon will create a filled face (DataMake Face True); if not, the polygon will not make a face (DataMake Face False).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Properties

Data

  • DataRadius: specifies the radius of the circle that defines the polygon.
  • DataDraw Mode: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
  • DataFaces Number: specifies the number of sides of the polygon.
  • DataChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the polygon.
  • DataFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the polygon.
  • DataMake Face: specifies if the shape makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object.

View

  • ViewPattern: specifies a Draft Pattern with which to fill the face of the polygon. This property only works if DataMake Face is True, and if ViewDisplay Mode is "Flat Lines".
  • ViewPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Polygon tool can be used in macros and from the Python console by using the following function:

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Creates a Polygon object with the given number of faces (nfaces), and based on a circle of radius in millimeters.
  • If inscribed is True, the polygon is inscribed in the circle, otherwise it will be circumscribed.
    • One of the vertices of the polygon will lie on the X axis if no other placement is given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the shape will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg